# Generated from rabbit-slide-kou-oss-forum-apache-arrow-2018.12.4.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rabbit-slide-kou-oss-forum-apache-arrow

Name: rubygem-%{gem_name}
Version: 2018.12.4.1
Release: 1%{?dist}
Summary: Apache Arrow - データ処理ツールの次世代プラットフォーム
License: CC-BY-SA-4.0 and CC-BY-3.0
URL: http://slide.rabbit-shocker.org/authors/kou/oss-forum-apache-arrow/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
みなさんはApache Arrowを知っていますか？
普段データを処理している人でも今はまだ知らない人の方が多いかもしれません。しかし、数年後には「データ処理をしている人ならほとんどの人が知っている」となるプロダクトです。（そうなるはずです。）
Apache
Arrowはメモリー上でデータ処理するときに必要なもの一式を提供します。たとえば、効率的なデータ交換のためのデータフォーマット、CPU/GPUの機能を活用した高速なデータ操作機能などです。
一部のデータ処理ツールではすでにApache Arrowを使い始めています。たとえば、Apache SparkはApache
Arrowを活用することでPySpark（PythonからApache
Sparkを使うためのモジュール）とのやりとりを高速化しています。データ量によっては10倍以上も高速になります。（リンク先の例では20秒→0.7秒と約30倍高速になっています。）
この講演ではApache Arrowの概要だけでなく最新情報も紹介します。この講演を聞くことでApache Arrowのことを網羅的に把握できます。
Apache Arrowはデータ処理ツールが共通で必要なもの一式を提供するので、より多くのツールがApache
Arrowを活用し、より多くの人がApache Arrowの開発に参加すると、より多くの人が豊かになります。Apache
ArrowはOSSなのでだれでも自由に活用したり開発に参加したりできます。Apache
Arrowのことを知ってOSSならではの「共有するほど豊かになる」アプローチに参加しましょう！.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.rabbit
%{gem_instdir}/apache-arrow.rab
%{gem_instdir}/bench-serialize.rb
%{gem_instdir}/config.yaml
%{gem_instdir}/images
%{gem_instdir}/pdf
%{gem_instdir}/theme.rb
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.rd
%{gem_instdir}/Rakefile

%changelog
* Tue Sep 14 2021 mockbuilder - 2018.12.4.1-1
- Initial package
